ValidationEventImpl (Java SE 10 & JDK 10 )
Keywords: javax.xml.bind.helpers.ValidationEventImpl class

Module java.xml.bind
Package javax.xml.bind.helpers

## Class ValidationEventImpl

- java.lang.Object
- - javax.xml.bind.helpers.ValidationEventImpl

- All Implemented Interfaces:
    `ValidationEvent`
  Direct Known Subclasses:
    `NotIdentifiableEventImpl`, `ParseConversionEventImpl`, `PrintConversionEventImpl`

      public class ValidationEventImpl
      extends Object
      implements ValidationEvent

  Default implementation of the ValidationEvent interface.

  JAXB providers are allowed to use whatever class that implements the ValidationEvent interface. This class is just provided for a convenience.

  Since:
    1.6, JAXB 1.0
  See Also:
    `Validator`, `ValidationEventHandler`, `ValidationEvent`, `ValidationEventLocator`

- - ### Field Summary

    - ### Fields declared in interface javax.xml.bind.ValidationEvent

      `ERROR, FATAL_ERROR, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidationEventImpl​(int _severity, String _message, ValidationEventLocator _locator)` | Create a new ValidationEventImpl.
    `ValidationEventImpl​(int _severity, String _message, ValidationEventLocator _locator, Throwable _linkedException)` | Create a new ValidationEventImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setLinkedException​(Throwable _linkedException)` | Set the linked exception field of this event.
    `void` | `setLocator​(ValidationEventLocator _locator)` | Set the locator object for this event.
    `void` | `setMessage​(String _message)` | Set the message field of this event.
    `void` | `setSeverity​(int _severity)` | Set the severity field of this event.
    `String` | `toString()` | Returns a string representation of this object in a format helpful to debugging.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javax.xml.bind.ValidationEvent

      `getLinkedException, getLocator, getMessage, getSeverity`

- - ### Constructor Detail

    - #### ValidationEventImpl

          public ValidationEventImpl​(int _severity,
                                     String _message,
                                     ValidationEventLocator _locator)

      Create a new ValidationEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

    - #### ValidationEventImpl

          public ValidationEventImpl​(int _severity,
                                     String _message,
                                     ValidationEventLocator _locator,
                                     Throwable _linkedException)

      Create a new ValidationEventImpl.
      Parameters:
        `_severity` - The severity value for this event. Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR
        `_message` - The text message for this event - may be null.
        `_locator` - The locator object for this event - may be null.
        `_linkedException` - An optional linked exception that may provide additional information about the event - may be null.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

  - ### Method Detail

    - #### setSeverity

          public void setSeverity​(int _severity)

      Set the severity field of this event.
      Parameters:
        `_severity` - Must be one of ValidationEvent.WARNING, ValidationEvent.ERROR, or ValidationEvent.FATAL_ERROR.
      Throws:
        `IllegalArgumentException` - if an illegal severity field is supplied

    - #### setMessage

          public void setMessage​(String _message)

      Set the message field of this event.
      Parameters:
        `_message` - String message - may be null.

    - #### setLinkedException

          public void setLinkedException​(Throwable _linkedException)

      Set the linked exception field of this event.
      Parameters:
        `_linkedException` - Optional linked exception - may be null.

    - #### setLocator

          public void setLocator​(ValidationEventLocator _locator)

      Set the locator object for this event.
      Parameters:
        `_locator` - The locator - may be null.

    - #### toString

          public String toString()

      Returns a string representation of this object in a format helpful to debugging.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.
      See Also:
        `Object.equals(Object)`